java.awt

## Class Checkbox.AccessibleAWTCheckbox

- java.lang.Object
- - javax.accessibility.AccessibleContext
  - - java.awt.Component.AccessibleAWTComponent
    - - java.awt.Checkbox.AccessibleAWTCheckbox

All Implemented Interfaces:
  ItemListener, Serializable, EventListener, AccessibleAction, AccessibleComponent, AccessibleValue

Enclosing class:
  Checkbox

    protected class Checkbox.AccessibleAWTCheckbox
    extends Component.AccessibleAWTComponent
    implements ItemListener, AccessibleAction, AccessibleValue

This class implements accessibility support for the `Checkbox` class. It provides an implementation of the Java Accessibility API appropriate to checkbox user-interface elements.

Since:
  1.3
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.awt.Component.AccessibleAWTComponent

`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

### Field Summary

### Fields inherited from class java.awt.Component.AccessibleAWTComponent

`accessibleAWTComponentHandler, accessibleAWTFocusHandler`

### Fields inherited from class javax.accessibility.AccessibleContext

`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

### Fields inherited from interface javax.accessibility.AccessibleAction

`CLICK, DECREMENT, INCREMENT, TOGGLE_EXPAND, TOGGLE_POPUP`

### Constructor Summary

Constructors
Constructor and Description
`Checkbox.AccessibleAWTCheckbox()`

### Method Summary

Methods
`boolean` `doAccessibleAction(int i)` Perform the specified Action on the object
`AccessibleAction` `getAccessibleAction()` Get the AccessibleAction associated with this object.
`int` `getAccessibleActionCount()` Returns the number of Actions available in this object.
`String` `getAccessibleActionDescription(int i)` Return a description of the specified action of the object.
`AccessibleRole` `getAccessibleRole()` Get the role of this object.
`AccessibleStateSet` `getAccessibleStateSet()` Get the state set of this object.
`AccessibleValue` `getAccessibleValue()` Get the AccessibleValue associated with this object.
`Number` `getCurrentAccessibleValue()` Get the value of this object as a Number.
`Number` `getMaximumAccessibleValue()` Get the maximum value of this object as a Number.
`Number` `getMinimumAccessibleValue()` Get the minimum value of this object as a Number.
`void` `itemStateChanged(ItemEvent e)` Fire accessible property change events when the state of the toggle button changes.
`boolean` `setCurrentAccessibleValue(Number n)` Set the value of this object as a Number.

### Methods inherited from class java.awt.Component.AccessibleAWTComponent

`addFocusListener, addPropertyChangeListener, contains, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleName, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, removePropertyChangeListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

### Methods inherited from class javax.accessibility.AccessibleContext

`firePropertyChange, getAccessibleEditableText, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleText, setAccessibleDescription, setAccessibleName, setAccessibleParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Checkbox.AccessibleAWTCheckbox

    public Checkbox.AccessibleAWTCheckbox()

### Method Detail

#### itemStateChanged

    public void itemStateChanged(ItemEvent e)

Fire accessible property change events when the state of the toggle button changes.

Specified by:
  `itemStateChanged` in interface `ItemListener`

#### getAccessibleAction

    public AccessibleAction getAccessibleAction()

Get the AccessibleAction associated with this object. In the implementation of the Java Accessibility API for this class, return this object, which is responsible for implementing the AccessibleAction interface on behalf of itself.

Overrides:
  `getAccessibleAction` in class `AccessibleContext`
Returns:
  this object
See Also:
  `AccessibleAction`

#### getAccessibleValue

    public AccessibleValue getAccessibleValue()

Get the AccessibleValue associated with this object. In the implementation of the Java Accessibility API for this class, return this object, which is responsible for implementing the AccessibleValue interface on behalf of itself.

Overrides:
  `getAccessibleValue` in class `AccessibleContext`
Returns:
  this object
See Also:
  `AccessibleValue`

#### getAccessibleActionCount

    public int getAccessibleActionCount()

Returns the number of Actions available in this object. If there is more than one, the first one is the "default" action.

Specified by:
  `getAccessibleActionCount` in interface `AccessibleAction`
Returns:
  the number of Actions in this object

#### getAccessibleActionDescription

    public String getAccessibleActionDescription(int i)

Return a description of the specified action of the object.

Specified by:
  `getAccessibleActionDescription` in interface `AccessibleAction`
Parameters:
  `i` - zero-based index of the actions
Returns:
  a String description of the action
See Also:
  `AccessibleAction.getAccessibleActionCount()`

#### doAccessibleAction

    public boolean doAccessibleAction(int i)

Perform the specified Action on the object

Specified by:
  `doAccessibleAction` in interface `AccessibleAction`
Parameters:
  `i` - zero-based index of actions
Returns:
  true if the the action was performed; else false.
See Also:
  `AccessibleAction.getAccessibleActionCount()`

#### getCurrentAccessibleValue

    public Number getCurrentAccessibleValue()

Get the value of this object as a Number. If the value has not been set, the return value will be null.

Specified by:
  `getCurrentAccessibleValue` in interface `AccessibleValue`
Returns:
  value of the object
See Also:
  `setCurrentAccessibleValue(java.lang.Number)`

#### setCurrentAccessibleValue

    public boolean setCurrentAccessibleValue(Number n)

Set the value of this object as a Number.

Specified by:
  `setCurrentAccessibleValue` in interface `AccessibleValue`
Returns:
  True if the value was set; else False
See Also:
  `getCurrentAccessibleValue()`

#### getMinimumAccessibleValue

    public Number getMinimumAccessibleValue()

Get the minimum value of this object as a Number.

Specified by:
  `getMinimumAccessibleValue` in interface `AccessibleValue`
Returns:
  Minimum value of the object; null if this object does not have a minimum value
See Also:
  `getMaximumAccessibleValue()`

#### getMaximumAccessibleValue

    public Number getMaximumAccessibleValue()

Get the maximum value of this object as a Number.

Specified by:
  `getMaximumAccessibleValue` in interface `AccessibleValue`
Returns:
  Maximum value of the object; null if this object does not have a maximum value
See Also:
  `getMinimumAccessibleValue()`

#### getAccessibleRole

    public AccessibleRole getAccessibleRole()

Get the role of this object.

Overrides:
  `getAccessibleRole` in class `Component.AccessibleAWTComponent`
Returns:
  an instance of AccessibleRole describing the role of the object
See Also:
  `AccessibleRole`

#### getAccessibleStateSet

    public AccessibleStateSet getAccessibleStateSet()

Get the state set of this object.

Overrides:
  `getAccessibleStateSet` in class `Component.AccessibleAWTComponent`
Returns:
  an instance of AccessibleState containing the current state of the object
See Also:
  `AccessibleState`

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.